## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanSourceTreeHelper Class Reference

`#include <XalanSourceTreeHelper.hpp>`

List of all members.

## Static Public Methods

- XalanNode* getLastSibling (XalanNode* theNode)
- void appendSibling ( XalanSourceTreeDocument* theDocument, XalanNode*& theNextSiblingSlot, XalanNode* theNewSibling)
- void appendSibling ( XalanSourceTreeComment* theNode, XalanNode*& theNextSiblingSlot, XalanNode* theNewSibling)
- void appendSibling ( XalanSourceTreeElement* theNode, XalanNode*& theNextSiblingSlot, XalanNode* theNewSibling)
- void appendSibling ( XalanSourceTreeProcessingInstruction* theNode, XalanNode*& theNextSiblingSlot, XalanNode* theNewSibling)
- void appendSibling ( XalanSourceTreeText* theNode, XalanNode*& theNextSiblingSlot, XalanNode* theNewSibling)
- void appendSibling ( XalanNode* theLastSibling, XalanSourceTreeComment* theNewLastSibling)
- void appendSibling ( XalanNode* theLastSibling, XalanSourceTreeElement* theNewLastSibling)
- void appendSibling ( XalanNode* theLastSibling, XalanSourceTreeProcessingInstruction* theNewLastSibling)
- void appendSibling ( XalanNode* theLastSibling, XalanSourceTreeText* theNewLastSibling)
- void appendSiblingToChild ( XalanSourceTreeElement* theOwnerElement, XalanNode*& theFirstChildSlot, XalanSourceTreeComment* theNewSibling)
- void appendSiblingToChild ( XalanSourceTreeElement* theOwnerElement, XalanNode*& theFirstChildSlot, XalanSourceTreeElement* theNewSibling)
- void appendSiblingToChild ( XalanSourceTreeElement* theOwnerElement, XalanNode*& theFirstChildSlot, XalanSourceTreeProcessingInstruction* theNewSibling)
- void appendSiblingToChild ( XalanSourceTreeElement* theOwnerElement, XalanNode*& theFirstChildSlot, XalanSourceTreeText* theNewSibling)
- void appendSiblingToChild ( XalanSourceTreeDocumentFragment* theOwnerDocumentFragment, XalanNode*& theFirstChildSlot, XalanSourceTreeComment* theNewSibling)
- void appendSiblingToChild ( XalanSourceTreeDocumentFragment* theOwnerDocumentFragment, XalanNode*& theFirstChildSlot, XalanSourceTreeElement* theNewSibling)
- void appendSiblingToChild ( XalanSourceTreeDocumentFragment* theOwnerDocumentFragment, XalanNode*& theFirstChildSlot, XalanSourceTreeProcessingInstruction* theNewSibling)
- void appendSiblingToChild ( XalanSourceTreeDocumentFragment* theOwnerDocumentFragment, XalanNode*& theFirstChildSlot, XalanSourceTreeText* theNewSibling)

## Member Function Documentation

void XalanSourceTreeHelper::appendSibling ( | XalanNode * theLastSibling,
| XalanSourceTreeText * theNewLastSibling )`[static]`

void XalanSourceTreeHelper::appendSibling ( | XalanNode * theLastSibling,
| XalanSourceTreeProcessingInstruction * theNewLastSibling )`[static]`

void XalanSourceTreeHelper::appendSibling ( | XalanNode * theLastSibling,
| XalanSourceTreeElement * theNewLastSibling )`[static]`

void XalanSourceTreeHelper::appendSibling ( | XalanNode * theLastSibling,
| XalanSourceTreeComment * theNewLastSibling )`[static]`

void XalanSourceTreeHelper::appendSibling ( | XalanSourceTreeText * theNode,
| XalanNode *& theNextSiblingSlot,
| XalanNode * theNewSibling )`[static]`

void XalanSourceTreeHelper::appendSibling ( | XalanSourceTreeProcessingInstruction * theNode,
| XalanNode *& theNextSiblingSlot,
| XalanNode * theNewSibling )`[static]`

void XalanSourceTreeHelper::appendSibling ( | XalanSourceTreeElement * theNode,
| XalanNode *& theNextSiblingSlot,
| XalanNode * theNewSibling )`[static]`

void XalanSourceTreeHelper::appendSibling ( | XalanSourceTreeComment * theNode,
| XalanNode *& theNextSiblingSlot,
| XalanNode * theNewSibling )`[static]`

void XalanSourceTreeHelper::appendSibling ( | XalanSourceTreeDocument * theDocument,
| XalanNode *& theNextSiblingSlot,
| XalanNode * theNewSibling )`[static]`

void XalanSourceTreeHelper::appendSiblingToChild ( | XalanSourceTreeDocumentFragment * theOwnerDocumentFragment,
| XalanNode *& theFirstChildSlot,
| XalanSourceTreeText * theNewSibling )`[static]`

void XalanSourceTreeHelper::appendSiblingToChild ( | XalanSourceTreeDocumentFragment * theOwnerDocumentFragment,
| XalanNode *& theFirstChildSlot,
| XalanSourceTreeProcessingInstruction * theNewSibling )`[static]`

void XalanSourceTreeHelper::appendSiblingToChild ( | XalanSourceTreeDocumentFragment * theOwnerDocumentFragment,
| XalanNode *& theFirstChildSlot,
| XalanSourceTreeElement * theNewSibling )`[static]`

void XalanSourceTreeHelper::appendSiblingToChild ( | XalanSourceTreeDocumentFragment * theOwnerDocumentFragment,
| XalanNode *& theFirstChildSlot,
| XalanSourceTreeComment * theNewSibling )`[static]`

void XalanSourceTreeHelper::appendSiblingToChild ( | XalanSourceTreeElement * theOwnerElement,
| XalanNode *& theFirstChildSlot,
| XalanSourceTreeText * theNewSibling )`[static]`

void XalanSourceTreeHelper::appendSiblingToChild ( | XalanSourceTreeElement * theOwnerElement,
| XalanNode *& theFirstChildSlot,
| XalanSourceTreeProcessingInstruction * theNewSibling )`[static]`

void XalanSourceTreeHelper::appendSiblingToChild ( | XalanSourceTreeElement * theOwnerElement,
| XalanNode *& theFirstChildSlot,
| XalanSourceTreeElement * theNewSibling )`[static]`

void XalanSourceTreeHelper::appendSiblingToChild ( | XalanSourceTreeElement * theOwnerElement,
| XalanNode *& theFirstChildSlot,
| XalanSourceTreeComment * theNewSibling )`[static]`

XalanNode* XalanSourceTreeHelper::getLastSibling ( | XalanNode * theNode )`[static]`

The documentation for this class was generated from the following file:

- XalanSourceTreeHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.